## GXPSCoreProperties GXPSCoreProperties — XPS Core Properties |

## Functions

const gchar * | gxps_core_properties_get_title ()
const gchar * | gxps_core_properties_get_creator ()
const gchar * | gxps_core_properties_get_description ()
const gchar * | gxps_core_properties_get_subject ()
const gchar * | gxps_core_properties_get_keywords ()
const gchar * | gxps_core_properties_get_version ()
const gchar * | gxps_core_properties_get_revision ()
const gchar * | gxps_core_properties_get_identifier ()
const gchar * | gxps_core_properties_get_language ()
const gchar * | gxps_core_properties_get_category ()
const gchar * | gxps_core_properties_get_content_status ()
const gchar * | gxps_core_properties_get_content_type ()
time_t | gxps_core_properties_get_created ()
const gchar * | gxps_core_properties_get_last_modified_by ()
time_t | gxps_core_properties_get_modified ()
time_t | gxps_core_properties_get_last_printed ()

## Properties

GXPSArchive * | archive | Write / Construct Only
gchar * | source | Write / Construct Only

## Types and Values

struct | GXPSCoreProperties

## Object Hierarchy

        GObject
        ╰── GXPSCoreProperties

## Implemented Interfaces

GXPSCoreProperties implements GInitable.

## Includes

    #include <libgxps/gxps.h>

## Description

GXPSCoreProperties represents the metadata of a GXPSFile. GXPSCoreProperties objects can not be created directly, they are retrieved from a GXPSFile with `gxps_file_get_core_properties()`.

## Functions

### gxps_core_properties_get_title ()

    const gchar *
    gxps_core_properties_get_title (GXPSCoreProperties *core_props);

Get the title.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

a string containing the title or `NULL`

Since: 0.2.3

### gxps_core_properties_get_creator ()

    const gchar *
    gxps_core_properties_get_creator (GXPSCoreProperties *core_props);

Get the creator.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

a string containing the creator or `NULL`

Since: 0.2.3

### gxps_core_properties_get_description ()

    const gchar *
    gxps_core_properties_get_description (GXPSCoreProperties *core_props);

Get the description.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

a string containing the description or `NULL`

Since: 0.2.3

### gxps_core_properties_get_subject ()

    const gchar *
    gxps_core_properties_get_subject (GXPSCoreProperties *core_props);

Get the subject.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

a string containing the subject or `NULL`

Since: 0.2.3

### gxps_core_properties_get_keywords ()

    const gchar *
    gxps_core_properties_get_keywords (GXPSCoreProperties *core_props);

Get the keywords.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

a string containing the keywords or `NULL`

Since: 0.2.3

### gxps_core_properties_get_version ()

    const gchar *
    gxps_core_properties_get_version (GXPSCoreProperties *core_props);

Get the version number.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

a string containing the version number or `NULL`

Since: 0.2.3

### gxps_core_properties_get_revision ()

    const gchar *
    gxps_core_properties_get_revision (GXPSCoreProperties *core_props);

Get the revision number.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

a string containing the revision number or `NULL`

Since: 0.2.3

### gxps_core_properties_get_identifier ()

    const gchar *
    gxps_core_properties_get_identifier (GXPSCoreProperties *core_props);

Get the unique identifier.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

a string containing the identifier or `NULL`

Since: 0.2.3

### gxps_core_properties_get_language ()

    const gchar *
    gxps_core_properties_get_language (GXPSCoreProperties *core_props);

Get the language.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

a string containing the language or `NULL`

Since: 0.2.3

### gxps_core_properties_get_category ()

    const gchar *
    gxps_core_properties_get_category (GXPSCoreProperties *core_props);

Get the category.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

a string containing the category or `NULL`

Since: 0.2.3

### gxps_core_properties_get_content_status ()

    const gchar *
    gxps_core_properties_get_content_status
                                   (GXPSCoreProperties *core_props);

Get the status of the content (e.g. Draft, Reviewed, Final)

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

a string containing the status of the content or `NULL`

Since: 0.2.3

### gxps_core_properties_get_content_type ()

    const gchar *
    gxps_core_properties_get_content_type (GXPSCoreProperties *core_props);

Get the type of content represented, generally defined by a specific use and intended audience. This is not the MIME-Type.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

a string containing the type of content or `NULL`

Since: 0.2.3

### gxps_core_properties_get_created ()

    time_t
    gxps_core_properties_get_created (GXPSCoreProperties *core_props);

Get the creating date.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

the creating date as a time_t or -1.

Since: 0.2.3

### gxps_core_properties_get_last_modified_by ()

    const gchar *
    gxps_core_properties_get_last_modified_by
                                   (GXPSCoreProperties *core_props);

Get the user who performed the last modification.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

a string containing the user who performed the last modification or `NULL`

Since: 0.2.3

### gxps_core_properties_get_modified ()

    time_t
    gxps_core_properties_get_modified (GXPSCoreProperties *core_props);

Get the last modification date.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

the modification date as a time_t or -1.

Since: 0.2.3

### gxps_core_properties_get_last_printed ()

    time_t
    gxps_core_properties_get_last_printed (GXPSCoreProperties *core_props);

Get the date of the last printing.

#### Parameters

core_props | a GXPSCoreProperties |

#### Returns

the date of the last printing as a time_t or -1.

Since: 0.2.3

## Types and Values

### struct GXPSCoreProperties

    struct GXPSCoreProperties;

The GXPSCoreProperties struct contains only private fields and should not be directly accessed.

## Property Details

### The `“archive”` property

      “archive”                  GXPSArchive *

The archive.

Flags: Write / Construct Only

### The `“source”` property

      “source”                   gchar *

The Core Properties Source File.

Flags: Write / Construct Only

Default value: NULL

## See Also

GXPSFile